Bug 740576 - anaconda writes wrong device to root= parameter
Summary: anaconda writes wrong device to root= parameter
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 16
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ZedoraTracker F16Betas390x 788669
TreeView+ depends on / blocked
 
Reported: 2011-09-22 14:21 UTC by Dan Horák
Modified: 2012-02-08 19:22 UTC (History)
3 users (show)

Fixed In Version: anaconda-17.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 788669 (view as bug list)
Environment:
Last Closed: 2012-02-08 19:22:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use device name for the root= parameter (1.00 KB, patch)
2011-09-22 14:21 UTC, Dan Horák
no flags Details | Diff

Description Dan Horák 2011-09-22 14:21:21 UTC
Created attachment 524420 [details]
use device name for the root= parameter

anaconda writes wrong device (in fact it's path to kernel image) instead of the device where root filesystem resides


Version-Release number of selected component (if applicable):
anaconda-16.18-1.fc16
  
Actual results:
root=/boot/vmlinuz-3.1.0-0.rc6.git0.0.fc16.s390x

Expected results:
root=/dev/mapper/vg_devel4-lv_root

Comment 1 David Lehman 2011-11-04 20:26:29 UTC
David, I happened to write a patch for this when it first came in, but I never took the bug. I realized today, after posting the patch for review, that it's assigned to you. Surely you don't mind one less s390 bug.

Comment 2 David Lehman 2012-02-08 19:22:15 UTC
This was fixed in anaconda-17.2-1.


Note You need to log in before you can comment on or make changes to this bug.